Subject: [IPP] Lakeside Robotics has reviewed IPP Finishings v3.0 and has comments

From: ISTO-PWG Internet Printing Protocol workgroup discussion forum via ipp <[email-masked]>
Date: Fri, 25 Feb 2022 10:18:25 -0500

Comments (and sorry that I didn't catch some of these sooner):

- Global: The various lists of enum/keyword values should use the same format.  Historically we have used the "List Paragraph" style with the enum/keyword in single quotes, followed by a colon and the description.
- Global: Fix whitespace/blank line issues in final published version, make sure tables that span pages have repeating headers.
- Title: On pages 1 and 2, in the header throughout, and in the document properties/metadata, the document title should be "IPP Finishings v3.0 (FIN)"
- The front matter text needs to be updated from the template
- Section 1: We should eliminate the normative reference to PWG 5100.3 since FIN 2.0 replaced the 5100.3 definition of finishings-col and the forthcoming 5100.3 update doesn't include it.
- Section 2.4: Use https URLs
- Section 3.1: Remove FIN 2.0, remove "To allow Clients to use and clearly specify finishing intent," since it does not make sense with the "Based on the following existing specifications" preamble.
- Section 3.4: Drop item 4 since "trimming-type" does in fact cover different kinds of cuts.
- Sections 5.1.x: Strictly speaking this is an enum so that value should in single quotes and the keyword in parens, e.g., "'3' (none):".
- Section 13.1: Remove unused PWG5100.11, PWG5108.07, RFC3808, RFC5646 references, update 5101.1 reference (should point to MSN 2.0), update all RFCs and STDs to use datatracker URLs, RFC2119 should be BCP14, update all Unicode references (see current template)
- Section 13.2: https links for all references, make sure FIN-ABNF is updated, update Unicode references (see current template), not sure if we should have both an informative and normative reference to the current 5100.13?
- Section 14: Current guidance is to drop the address portion and just list author names and company affiliations...

________________________
Michael Sweet

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp